<bugID>663395<Summary>tabstrip animation is hurty when traversing a large number of tabs</Summary><Description>STR:

1. have 100 tabs open
2. activate the rightmost tab
3. go to an app tab and click a link

Expected: the new tab to the right of the app tabs is instantly created and focused.

Actual: wait for the animation to finish speeding past all your tabs, feel slightly dizzy, finally arrive at the new tab.

We should either suspend animations when it's clear we'll be traversing huge amounts of tabs, or fix animations to be much much faster (though, this won't help the dizziness).</Description></bugID>